/*
  Soler jean-michel
         (droits rservs).
         Ce fichier est destin  illustrer l'article sur la couleur
         du reporter 3.
         indispensable pour ralis RGBLUMEN.POV/pcx qui se trouve dans
         le rep 6.
*/

#include "colors.inc"
#include "textures.inc"
#include "colbase.inc"

#declare carreau_tronque = 7/8
#declare carreaux_horz = 15
#declare carreaux_vert = 23
#declare marge_vert = 5
#declare marge_horz_haut = 3
#declare marge_horz_bas = 2
#declare hauteur_feuille = 3+2+23
#declare largeur_feuille = 15+5+7/8

#declare feuille_blanche =
           object{
            plane{ <0,1,0>,0 }
                clipped_by{
                         box{ <-5,-0.1,-2>,
                             <15+7/8,
                                    0.01,
                                 23+4> }
                                }
            texture{ pigment{ blanc_papier}}
                bounded_by{
                         box{ <-5,-0.1,-2>,
                             <15+7/8,
                                    0.01,
                                 23+4> }
                                }
           }

#declare feuille_de_cahier =
      object{
                union {
                /* corp de la feuille */
                object{
                        plane{ <0,1,0>,0 }
                        texture{ ligne_horz }
                        texture{ ligne_vert }
                        clipped_by{
                                   box{ <0,-0.01,1/2-1/16>,
                                        <carreaux_horz+carreau_tronque,
                                          0.01,
                                          carreaux_vert-1/4> }
                                }
                        }

                 /* marge haute */
                 object{
                        plane{ <0,1,0>,0 }
                        texture{ pigment{ blanc_papier}}
                        texture{ ligne_vert }
                        clipped_by{  box{<
                                          0,
                                          -0.01,
                                          carreaux_vert-1/4>,
                                   <carreaux_horz+carreau_tronque,
                                     0.01,
                                     (carreaux_vert-1/4)+marge_horz_haut>
                                       }
                                   }
                        }
                 /* marge basse */
                 object{
                        plane{ <0,1,0>,0 }
                        texture{ pigment{ blanc_papier}}
                        texture{ ligne_vert }
                        clipped_by{
                                box{
                                     <0,-0.01,-marge_horz_bas>,
                                      <carreaux_horz+carreau_tronque,
                                        0.01,
                                         1/2-1/16>
                                       }
                                   }
                        }
 /* ligne rouge */
                 object{
                        plane{ <0,1,0>,0 }
                        texture{ pigment{ encre_roset}}
                        clipped_by{
                                box{
                                     <-1/16,-0.01,-marge_horz_bas>,
                                      <0,
                                        0.01,
                                         (carreaux_vert-1/4)+marge_horz_haut>
                                       }
                                   }
                        }

                 /* Marge gauche */
                 object{
                        plane{ <0,1,0>,0 }
                        texture{ ligne_horz }
                        clipped_by{
                                   box{
                                   <-marge_vert,
                                     -0.01,
                                     1/2+1/16>
                                   <-1/16,
                                     0.01,
                                     carreaux_vert-1/4>
                                       }
                                   }
                        }

                 object{
                        plane{ <0,1,0>,0 }
                        texture{ pigment { blanc_papier } }
                        clipped_by{
                                   box{
                                   <-marge_vert,
                                     -0.01,
                                     carreaux_vert-1/4>,
                                    <-1/16,0.01,
                                    (carreaux_vert-1/4)+marge_horz_haut>
                                       }
                                   }
                        }

                 object{
                        plane{ <0,1,0>,0 }
                        texture{ pigment { blanc_papier } }

             clipped_by{
                                  box{
                                   <-marge_vert,
                                     -0.01,
                                     -marge_horz_bas>,
                                    <-1/16,0.01,
                                    1/2+1/16>
                                       }
                        }
                        }
               }

                bounded_by{
                         box{ <-5,-0.1,-2>,
                             <15+7/8,
                                    0.01,
                                 23+4> }
                                }
             }

#declare feuille_de_classeur =
                object {
                difference {
                        object{ feuille_de_cahier }
                        object{ sphere{<0,0,0>,0.35} translate<-3.05/0.8,0,4.8/0.8>}
                        object{ sphere{<0,0,0>,0.35} translate<-3.05/0.8,0,15.1/0.8>}
                             }
                     }

